# Interface methods for submodule: Rigid3DPerspectiveTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import TransformProxy as _TransformProxy


# Interface methods for class: Rigid3DPerspectiveTransform
class Rigid3DPerspectiveTransformProxy(_TransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetOffset(self) -> Sequence[float]:
		""""""
		...

	def GetRotation(self):
		""""""
		...

	def SetParameters(self, parameters) -> None:
		""""""
		...

	def GetParameters(self):
		""""""
		...

	def SetFixedParameters(self, arg0) -> None:
		""""""
		...

	def SetOffset(self, offset: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetRotation(self, rotation) -> None:
		""""""
		...

	@overload
	def SetRotation(self, axis: Sequence[float], angle: float) -> None:
		""""""
		...

	def SetFocalDistance(self, focalDistance: float) -> None:
		""""""
		...

	def GetFocalDistance(self) -> float:
		""""""
		...

	def TransformPoint(self, point: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def TransformVector(self, arg0: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def TransformVector(self, arg0: vnl_vector_fixed) -> vnl_vector_fixed:
		""""""
		...

	def TransformCovariantVector(self, arg0: Sequence[float]) -> Sequence[float]:
		""""""
		...

	def GetRotationMatrix(self):
		""""""
		...

	def ComputeMatrix(self) -> None:
		""""""
		...

	def ComputeJacobianWithRespectToParameters(self, p: Sequence[float], jacobian) -> None:
		""""""
		...

	def ComputeJacobianWithRespectToPosition(self, arg0: Sequence[float], arg1: vnl_matrix_fixed) -> None:
		""""""
		...

	def GetFixedOffset(self) -> Sequence[float]:
		""""""
		...

	def SetFixedOffset(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def SetCenterOfRotation(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetCenterOfRotation(self) -> Sequence[float]:
		""""""
		...

